Document of c-modernization-kit (porter) 1.0.0

Loading...
Searching...
No Matches
Data Fields
PotrGlobalConfig Struct Reference

グローバル設定。 More...

`#include <porter_type.h>`

Collaboration diagram for PotrGlobalConfig:

## Data Fields
uint16_t | window_size
| スライディングウィンドウサイズ (パケット数)。
uint16_t | max_payload
| 最大ペイロード長 (バイト)。
uint32_t | health_interval_ms
| UDP 通信種別の PING 送信間隔 (ミリ秒)。最終 DATA/PING 送信から本値が経過したら PING 送信。0 = 無効。設定ファイルキー: udp_health_interval_ms。
uint32_t | health_timeout_ms
| UDP 通信種別の受信タイムアウト (ミリ秒)。RECEIVER 側で使用。0 = 無効。設定ファイルキー: udp_health_timeout_ms。
uint32_t | reorder_timeout_ms
| 受信ウィンドウ欠番検出後、NACK または切断を遅延する時間 (ミリ秒)。マルチパスや近距離 WAN での追い越し吸収用。0 = 即時 (デフォルト)。推奨値: LAN/マルチパス=10〜30 ms、遠距離 WAN=30〜100 ms。
uint32_t | max_message_size
| 1 回の potrSend で送信できる最大メッセージ長 (バイト)。デフォルト: POTR_MAX_MESSAGE_SIZE。
uint32_t | send_queue_depth
| 非同期送信キューの最大エントリ数。デフォルト: POTR_SEND_QUEUE_DEPTH。
uint32_t | tcp_health_interval_ms
| TCP 通信種別の PING 送信間隔 (ミリ秒)。DATA 送信頻度に関わらず定期的に PING を送信。0 = 無効。設定ファイルキー: tcp_health_interval_ms。
uint32_t | tcp_health_timeout_ms
| TCP 通信種別の PING 応答待機タイムアウト (ミリ秒)。SENDER 側で使用。0 = 無効。設定ファイルキー: tcp_health_timeout_ms。

## Detailed Description

グローバル設定。

設定ファイルの [global] セクションから読み込まれる共通プロトコル設定です。

Definition at line 176 of file porter_type.h.

## Field Documentation

## ◆ window_size

uint16_t PotrGlobalConfig::window_size

スライディングウィンドウサイズ (パケット数)。

Definition at line 178 of file porter_type.h.

Referenced by check_and_update_session(), check_health_timeout(), check_reorder_timeout(), config_load_global(), n1_check_and_update_session(), peer_create(), potrOpenService(), and recv_thread_func().

## ◆ max_payload

uint16_t PotrGlobalConfig::max_payload

最大ペイロード長 (バイト)。

Definition at line 179 of file porter_type.h.

Referenced by check_and_update_session(), check_health_timeout(), check_reorder_timeout(), config_load_global(), n1_check_and_update_session(), peer_create(), potr_connect_thread_start(), potrOpenService(), receiver_accept_loop(), recv_thread_func(), reset_send_queue(), send_packed_peer_mode(), send_thread_func(), send_to_peer(), and tcp_recv_thread_func().

## ◆ health_interval_ms

uint32_t PotrGlobalConfig::health_interval_ms

UDP 通信種別の PING 送信間隔 (ミリ秒)。最終 DATA/PING 送信から本値が経過したら PING 送信。0 = 無効。設定ファイルキー: udp_health_interval_ms。

Definition at line 180 of file porter_type.h.

Referenced by config_load_global(), health_thread_func(), potr_health_thread_start(), potr_tcp_health_thread_start(), potrOpenService(), and tcp_health_thread_func().

## ◆ health_timeout_ms

uint32_t PotrGlobalConfig::health_timeout_ms

UDP 通信種別の受信タイムアウト (ミリ秒)。RECEIVER 側で使用。0 = 無効。設定ファイルキー: udp_health_timeout_ms。

Definition at line 181 of file porter_type.h.

Referenced by check_health_timeout(), config_load_global(), n1_check_health_timeout(), potrOpenService(), recv_thread_func(), tcp_health_thread_func(), and tcp_recv_thread_func().

## ◆ reorder_timeout_ms

uint32_t PotrGlobalConfig::reorder_timeout_ms

受信ウィンドウ欠番検出後、NACK または切断を遅延する時間 (ミリ秒)。マルチパスや近距離 WAN での追い越し吸収用。0 = 即時 (デフォルト)。推奨値: LAN/マルチパス=10〜30 ms、遠距離 WAN=30〜100 ms。

Definition at line 182 of file porter_type.h.

Referenced by config_load_global(), recv_thread_func(), and reorder_gap_ready().

## ◆ max_message_size

uint32_t PotrGlobalConfig::max_message_size

1 回の potrSend で送信できる最大メッセージ長 (バイト)。デフォルト: POTR_MAX_MESSAGE_SIZE。

Definition at line 183 of file porter_type.h.

Referenced by config_load_global(), deliver_payload_elem(), n1_deliver_payload_elem(), peer_create(), potrOpenService(), and potrSend().

## ◆ send_queue_depth

uint32_t PotrGlobalConfig::send_queue_depth

非同期送信キューの最大エントリ数。デフォルト: POTR_SEND_QUEUE_DEPTH。

Definition at line 184 of file porter_type.h.

Referenced by config_load_global(), and potrOpenService().

## ◆ tcp_health_interval_ms

uint32_t PotrGlobalConfig::tcp_health_interval_ms

TCP 通信種別の PING 送信間隔 (ミリ秒)。DATA 送信頻度に関わらず定期的に PING を送信。0 = 無効。設定ファイルキー: tcp_health_interval_ms。

Definition at line 185 of file porter_type.h.

Referenced by config_load_global(), and potrOpenService().

## ◆ tcp_health_timeout_ms

uint32_t PotrGlobalConfig::tcp_health_timeout_ms

TCP 通信種別の PING 応答待機タイムアウト (ミリ秒)。SENDER 側で使用。0 = 無効。設定ファイルキー: tcp_health_timeout_ms。

Definition at line 186 of file porter_type.h.

Referenced by config_load_global(), potrOpenService(), and receiver_accept_loop().

The documentation for this struct was generated from the following file:

- porter/include/porter_type.h